package de.devloop.mavor;

import java.io.IOException;

import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

public class BaseServlet extends HttpServlet {
    protected Configuration configuration;

    @Override
    public void init() throws ServletException {
        try {
            configuration = new Configuration();
        } catch (IOException e) {
            throw new ServletException("Configuration Error", e);
        }
    }

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.setAttribute("WEB_ROOT", configuration.getWebRoot());
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.setAttribute("WEB_ROOT", configuration.getWebRoot());
    }
}